class ElementExists extends Exception 
{
    public ElementExists() { super();}
    public ElementExists(String s) { super(s);}
}

class NotFound extends Exception 
{
    public NotFound() { super();}
    public NotFound(String s) { super(s);}
}

class HookBusy extends Exception 
{
    public HookBusy() { super();}
    public HookBusy(String s) { super(s);}
}

class HookVacant extends Exception 
{
    public HookVacant() { super();}
    public HookVacant(String s) { super(s);}
}


    
        
